Q&A

You must sign in to ask a question. If you do not have an account, you can register here

We are excited to announce the availability of a new version of the Denodo Express 7.0 with new features and fixed issues starting in November 2018.

If you want to try it or if you want to migrate your current Denodo Express version you can download the brand new Denodo Express 7.0 at the Express home page in the Denodo Community.

In addition, if you want to enjoy the Denodo experience you can run one of our Test Drives.

Subqueries cannot be included in a SELECT clause
answered 08-03-2017 13:45:30 -0500

Hello, Denodo isn't allowing a subquery to be included in the SELECT clause. Is there any alternative for this? Thanks, Hemant

Answers: 1

subquery

Adding a jdbc driver compiled with java 1.8
answered 07-03-2017 23:28:23 -0500

Is it possible , without getting the major minor 0.52 error ?

Answers: 1

jdbc java8

Reset Window layout command for the Virtual Dataport Admin Tool
answered 07-03-2017 21:39:07 -0500

Does Denodo have a reset window layout command for the Virtual Dataport Admin Tool? One of our windows has gone missing and we need a way to unhide it

Answers: 1

VDP

Error executing on a Hive Table
answered 07-03-2017 08:52:41 -0500

I have configured Hive on Denodo 6.0 using following parameters: database adapter: Hive 0.12.0 (Hiveserver2) Driver classpath: 'hive-0.12.0' Driver class: org.apache.hive.jdbc.HiveDriver Database URI: jdbc:hive2://13.82.57.6:10000/default Transaction i...

Answers: 1

Hive Issue hive; hadoop

How to find which denodo version is installed
answered 06-03-2017 08:32:55 -0500

Team, We have installed denodo in our unix environment How to find which denodo version is installed? (Do you have some command to check which version is installed and which latest patch need to update) mannually we can check going into dir and find...

Answers: 4

DENODO Denodo server starting trouble.

Issue with Import.sh script - locations of the vdp-requests.log and the db-tools.log files
answered 06-03-2017 07:59:33 -0500

When running the Import.sh script (file name.../denodo6.0/bin/import.sh), I am getting the following errors regarding the LOG files: log4j:ERROR setFile(null,true) call failed. java.io.FileNotFoundException: /app/denodo/denodo_6.0/logs/vdp-requests.lo...

Answers: 1

import errors import

WITH (COMMON TABLE EXPRESSIONS) Denodo Express 6.0
answered 06-03-2017 06:25:45 -0500

According to your VDP Conformance with Standard SQL document: COMMON TABLE EXPRESSIONS are supported in Denodo 6. Does this apply to Denodo Express as well? My base view fails with the following error: ICTE_TEST_SECOND [BASE] [ERROR] CTE_TEST_SECOND [J...

Answers: 1
Related to: VDP Conformance with Standard SQL

CTE

Error when running import.sh script in Linux
answered 06-03-2017 06:25:05 -0500

I am trying to run the import.sh script (located on my RedHat Linux server directory "/app/denodo/denodo6.0/bin/") I have a VQL file and a Properties file. Here is the command I am trying to run ion the server: /app/denodo/denodo_6.0/bin/import.sh -su...

Answers: 1

import errors import

Denodo connection with Impala.
answered 06-03-2017 04:47:08 -0500

Currently Denodo supports Impala 2.3 version. We are at Impala 2.6.0, can we still use older Impala JDBC connection for newer version of Impala? Can we connect Denodo with Impala using generic JDBC connection?

Answers: 1

Impala

Using JSON data source from file, when the root is array
answered 05-03-2017 04:48:34 -0500

Hi, I tried to use the JSON data source, when the root json type is array. Let's take for example a file containing the following data : [{"id" : 3, "name" : "xxx", "color" : "blue", "available" : false},{"id" : 13, "name" : "yyy", "color" : "green", ...

Answers: 2

JSON